Overview

Pttcom Help

Overview

PTTCOMM is a user configuration and interface program designed to interface with the WildCAT© and SmartCAT© family of products. The user interface built into the PTT is a processor level interface that allows setting any byte in memory to any value as well as executing any routine in the PTT program. While this interface is extremely powerful, it is cumbersome for normal user programming of the PTT. The PTT interface program is designed to make setting many of the parameters of a PTT as easy as possible. Where possible, error checking is built in to prevent an erroneous setting from being transmitted. This technique, while not fool proof, does limit the number of errors that can occur in normal use.

The interface software uses a non-interactive model. That is that all of the settings can be modified without the PTT attached and when the user is happy with the settings they can then be uploaded to the PTT. There are two windows used in the interface program: the first is the configuration file window and the second is the terminal window.


Operating Modes

Operating Modes

There are two modes in which the software operates: interface mode and terminal mode. When in interface mode the system translates all information sent to the PTT into PTT user interface commands. These are a somewhat cryptic sequence of characters that conform to the low-level PTT interface requirements. The mode is entered when you send a start command from the PTT communications menu. The other operating mode is the terminal mode. In this mode, the terminal window shows any data coming from the PTT and the terminal menu allows you to send ASCII strings (up to 255 characters) and commands to the PTT. NOTE: carriage returns cannot at this time be embedded in the string. There may be several pre-formatted User Commands in your configuration file, these can also be sent from the terminal menu.


Nav

Navigation

Control of the program is provided through the standard Windows menus as well as a tool bar that speed access to the most used features.


PTT Basic Configuration Window

PTT Basic Configuration Window

This is the initial window opened when the file open menu is selected and a configuration file is opened. . Most times the user will require only the Basic PTT Setup dialog as it allows setting the most commonly adjusted parameters. This window allows the user to change the PTT ID, the transmission rep rate and the transmission windowing. After the correct values are entered click on the OK button then start a communications session to upload the configuration to the PTT. If you wish access to all the user programmable parameters (UPP’s) then click on the Advanced Setup button to bring up the full configuration window.

The full configuration file window allows control over all programmable settings in a PTT.


Terminal Window

Terminal Window

The terminal window allows direct communications over the serial port to the PTT. When you send data to the PTT the system will automatically open a terminal window (in minimized form) to send the data. The terminal window allows direct access to the low-level PTT interface for special functions, although this ability is password protected. Data received from the PTT is displayed in the terminal window and can be logged to a file, useful for downloading data if your PTT is configured to act as a data logger. The terminal window also has the ability to log the incoming data to a file. The terminal window displays data coming across the serial port. Non printable characters are shown between { } braces to allow for the display of binary data. Some characters such as 0x00, 0x06 and 0x15 are decoded to { NULL}, {/ACK/} and {/NAK/} as they have special meaning in some PTT functions.

For more information on the terminal window, look under the Terminal menu


Pttcom Help Command Reference

File Menu

The file menu allows opening and saving configuration files, creating new configuration files (used at the factory to create a configuration file for your PTT). It also allows limited setting of the PTT communication parameters and provides a list of the last used configuration files.

New

This menu item is used for factory setup and should not be required by the user.

Open

This menu item brings up the standard Windows file open dialog to allow the user to load a configuration file into the interface program.

Close

This menu item closes the present configuration file window and asks if the user wishes to save any changes.

Save

This saves the present configuration file. If the file already has a name then the new file will overwrite the old one. If the file has not been named then the file save dialog will appear allowing the user to specify a file name.

Save As

This menu item will bring up the standard Windows file save dialog allowing a file name to be specified and then save the present configuration file under that name with a .cfg extension.

Preferences

This menu item allows setting the baud rate and serial port for communicating with the PTT. It will bring up a dialog box with standard radio buttons for selecting the communication parameters. You will also be able to select the basic configuration dialog as the standard window by selecting Simple Mode. Verify data as it is written will cause PTTCOMM to read back every byte written when in interface mode. This can be useful over noisy serial connections, but it slows the system down considerably. The UI Exit String section is for backward compatibility with older products and should be set to Q's. The Platform section selects whether your PTT is a WildCAT or a SmartCAT PTT. Prompt Wait specifies the number of seconds to wait for a prompt from the PTT. Units are shipped from the factory with a default of 60 seconds between prompts so the setting is usually 70 seconds. Any attempt to start user interface mode will time out after this time if no response is seen from the PTT.

Print Configuration

This menu item will allow printing the PTT configuration to the selected printer.

Most Recent File List

This is a list of the four most recent files used. Clicking on a file opens it.

Exit

Exits the user interface program.


Pttcom Help Command Reference

Sensor Configuration

This menu is not intended for customer use. It is used at the factory to create a custom configuration for a PTT.


Pttcom Help Command Reference

PTT Communications

This menu is used to communicate with and upload the configuration to the PTT. The procedure is to use the Start menu item to start communications with the PTT. After communications has been established, the other menu items allow sending the configuration file, reading the software version and reading the configuration from the PTT. After the configuration file has been sent to the PTT the Stop menu item causes the PTT to leave user interface mode and return to its normal operation.

Start

This menu item will place the PTT in interface mode. Select the this item then reset or power up the PTT and after a few seconds a message box will appear notifying you that communications has been established. Once the communications has been established, the other commands on this menu become active. If after 70 seconds communications cannot be established another message box will appear informing you. If this happens, close the minimized terminal window (created by the start command) and repeat the procedure. Please note that the PTT will stay in user interface mode for about 4 minutes. After this interval, the PTT will revert to normal operation. There is a Start button on the toolbar that provides fast access to this command.

Read Software Version

This menu item will allow reading the software version of the PTT if the PTT software allows this. Many older PTT’s do not have this capability.

Read Configuration

This menu item allows the user interface software to read a configuration file from the PTT. You must first load the proper configuration file from your disk, then after starting communications, this item will read the present value of all programmable settings from your PTT. Note that you must have PTT ID and Baud Rate selected as the proper type of variable. Some older configuration files are not set for this feature. For assistance in setting your configuration file to support this option contact, Seimac limited at 902-468-3007.

Send Configuration

After the start command has been successfully completed, use this menu item to upload the completed configuration file to the PTT. There is a button on the toolbar to provide fast access to this function.

Stop

This menu item sends an abort interface command to the PTT and returns it to normal operating mode.


Pttcom Help Command Reference

Terminal

This menu allows access to a terminal window to monitor data from the PTT. It also allows low level access to the PTT memory.

Open Terminal Window

This menu item will open a terminal window at any time.

Read Memory

When the PTT is in interface mode, this menu item will bring up a dialog box to allow a byte of PTT memory to be read. This byte can be RAM, ROM or EEPROM. The dialog box will ask for a memory address in hex from 0000 to ffff.

Send Interface Command

This is a dual-purpose command. When the PTT is in interface mode, it allows the user to type low-level user interface commands that will be sent to PTT. This mode is password protected. When not in interface mode, with a terminal window open, this command allows you to send ASCII strings to the PTT. The maximum string size is 255 characters.

Send File

This menu item allows sending of a file to the PTT. This command is used when in terminal mode, not interface mode, to send serial data to the PTT to test your serial configuration.

Send User Command

This command is used to send a list of commands to the PTT. It will bring up a dialog that will allow the user to select from one of several custom commands. There is a button on the toolbar to provide fast access to this function. The available commands will be displayed in a list box; select the command and click on the Execute button or double click the command to execute it. Please note that these commands are only usable in interface mode. Click Close to close the dialog.

Send Program

Some PTT software provides up to 400 bytes of user accessible EEPROM memory to store user software routines. This command is used to transmit the program to the PTT. The file must have a .prg extension and be in ASCII hex format. The processor used in the PTT is a Motorola HC11 family member. This function is password protected. This function is also used during manufacture to upload test routines to the PTT.

Log To File

This command brings up a dialog allowing the user to specify a file that will store the contents of the terminal window. If the file already exists then the data will be appended to the end of the file. This function is very useful for creating a permanent record of PTT data. Logging will commence after a file is selected.

Close Log File

This function will close the log file and terminate logging. Closing the terminal window will also close the file and terminate logging.


Pttcom Help Command Reference

Password

Many functions in the user interface program are password protected. These include any functions that could, if executed incorrectly by an inexperienced user, prevent the PTT from functioning. If you require access to these functions contact Seimac Limited for the password.

Enter Password

This menu item brings up a dialog box that allows the user to enter the system password allowing the user complete access to the PTT at the lowest level.

We strongly recommend you do not use this mode unless you are very familiar with the Seimac PTT as incorrect settings will prevent your PTT from operating properly and may cause damage!


Answers to Common Questions

Pttcom Help FAQ

Answers to Common Questions

Just what are the different modes?

Pttcomm and your Seimac Limited PTT have two distinct modes of operation. The first is the normal running mode of the PTT where it transmits data via the ARGOS satellite system. When the PTT is in this mode, Pttcomm will show any data sent out the PTT's serial port in a terminal window. This is known as terminal mode, in this mode Pttcomm does not translate outgoing data to user interface commands. Only some functions of Pttcomm function when the PTT in normal mode, these are:

Menu | Command | Function
Terminal | Send interface command | This will send an unformatted ASCII string to the PTT. No carriage returns are allowed.
Terminal | Send File | This will send any file to the PTT. It is useful for checking out your serial communication settings when in serial data or mux operating mode.
Terminal | Log to file | This will log and data that comes to the terminal window to a file.
Terminal | Close log file | This will stop terminal window logging. Closing the terminal window also stops logging.
PTTComunications | Start | Starts user interface mode.

When in normal mode the PTT will assume that all data sent to it is in binary form and none of the data will be interpreted as user interface commands.

In interface mode, the PTT will interpret all data coming in the serial port as user interface commands. Pttcomm will switch both itself and the PTT to interface mode when the Start command is sent. In this mode the following command are active:

Menu | Command | Function
PTTComunications | Read software version | Returns the software version of your PTT and the base configuration file name.
PTTComunications | Read configuration | Reads the configuration from the PTT. This will update the configuration window.
PTTComunications | Send configuration | This will upload the current configuration file to the PTT.
PTTComunications | Stop | This will stop interface mode, return the PTT to its normal running mode and place Pttcomm in terminal mode.
Terminal | Read memory | This will read the contents of a single byte in the PTT.
Terminal | Send interface command | This will send an ASCII string to the PTT. The string and is not translated to user interface commands (as it is assumed that it is already a string of commands).
Terminal | Send user command | Opens the user command dialog to send pre-determined commands to the PTT. These commands vary user to user and some are for factory test.
Terminal | Send program | Sends a small test program to the PTT (factory use only).

Starting a session

  1. First, ensure that you have connected power and the RS232 level converter to your PTT. The power should be switched off. The level converter will convert between the five-volt serial logic of the PTT and the +/- 12-volt logic of your computer's serial port.
  2. Once you have the unit connected to power and to your computer, start Pttcom and set your serial communications using the preferences dialog from the File menu. This step can be skipped if you already have Pttcomm open and you know that the communication parameters are correct. The parameters are stored so they do not have to be reset each time you start Pttcomm.
  3. Now load your configuration using the open command from the File menu and make any changes to the parameters in the file as required.
  4. Issue a start command either from the PTT Communications menu or by the start button on the tool bar.
  5. Now turn on the power and Pttcom should bring up a message box telling you communications has started.
  6. Now upload the configuration file with the PTT Communications menu Send Configuration command or use the CFG button on the tool bar.
  7. Now select Stop from the PTT Communications menu and the PTT is now configured and in normal running mode.

How do I use the logic control functions of my PTT

Your PTT is capable of functioning as a stand-alone data logger and as a limited SCADA system. It has up to eight digital inputs and eight analog inputs. The state of these inputs can be transmitted in the message sent to the satellite system. The format for the message is as follows:

Byte | Description
1 | This is the first byte transmitted and contains the state of the digital inputs to your PTT. Bit zero is digital input 1 while bit 7 is digital input 7.
2 | The A to D count for analog input 1 (0 = zero volts, 0xff = five volts)
3 | The A to D count for analog input 2 (0 = zero volts, 0xff = five volts)
4 | The A to D count for analog input 3 (0 = zero volts, 0xff = five volts)
5 | The A to D count for analog input 4 (0 = zero volts, 0xff = five volts)
6 | The A to D count for analog input 5 (0 = zero volts, 0xff = five volts)
7 | The A to D count for analog input 6 (0 = zero volts, 0xff = five volts)
8 | The A to D count for analog input 7 (0 = zero volts, 0xff = five volts)
9 | The A to D count for analog input 8 (0 = zero volts, 0xff = five volts)

Please note: care must be taken to ensure that none of the input lead exceeds the range 0 to 5 volts.

The state of the input leads can be used to gate transmission windows. This means that your PTT can be setup to only start transmitting when some combination of inputs occurs. The digital or combinational logic follows the diagram shown below.

Each digital lead is individually enabled and inverted under user control. All inputs are then anded, ored and exclusive ored together and the output of those functions are enabled under user control and then ored together for the final output. This output gates the transmission function so a wide variety of logic functions can be accommodated.

It should also be mentioned that all of the analog inputs are checked against their limits and if any are outside the limits, then the transmitter will transmit. If in the configuration file max is greater than min for any analog input then when the input goes outside the range the logic can enable the transmitter. If the min is greater than the max then the transmitter will be enabled whenever the input is within the range.


Contact Us

You may contact us by email at wildcatsupport@seimac.com,

by fax to WildCAT Support at 902-468-3009 or

visit Seimac on the web at www.seimac.com.


User Interface Updates

User interface updates, application notes and answers to common questions as they arise may be obtained from our web site by clicking on a button below.

User Interface Updates

Application Notes

Updated Frequently Asked Questions


Configuration File Window

This window allows setting the configuration parameters of your PTT. Any item grayed out is not user programmable. In addition, for computability with older versions of this program a red rectangle will be displayed outside the rightmost and leftmost cell of the current line. If the parameter is user adjustable, the rectangle will turn blue and the edit box will have a white background. By single clicking, with the left mouse button, in the line you wish to modify you will select it and if allowed modify the data in the right most cell.

Selecting simple from the View menu will return to the Basic Configuration Dialog


Untitled Normal Page

The user commands dialog provides access to pre-defined commands stored in the configuration file. These commands are configured at the factory and some are used for factory test. Special purpose commands can be developed upon request for a nominal charge.